Bug 251257 - Paper locale not set up, evince always defaults to US Letter sized paper
Summary: Paper locale not set up, evince always defaults to US Letter sized paper
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
(Show other bugs)
Version: 8
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-07 22:32 UTC by David Campbell
Modified: 2009-01-09 04:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 04:50:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Campbell 2007-08-07 22:32:06 UTC
Description of problem:

There seems to be a shortcoming in the installation process that affects gnome
applications, notably the evince document viewer.

If you run evince (by the way, unfortunately there's no default fedora menu item
for this) and choose File/Print Setup, you get a window that says "Page Setup"
(the difference in name is inconsistent), but it ALWAYS comes up with Letter
sized paper, irrespective of what you have configured in the printer settings.

I've found that a solution to this is to put this into /etc/environment:
  LC_PAPER="en_GB.UTF-8"

Now that is quite cryptic for the ordinary user to figure out.

So it seems to me that something in the Fedora install process is failing to set
up the paper settings correctly for the locale.

Version-Release number of selected component (if applicable):

2.6.22.1-41.fc7

How reproducible:

Always

Steps to Reproduce:
1. Run evince and open a document, eg tiff or pdf
2. Choose File/Print Setup
3. Notice that the paper size is Letter (unless you've manually configured your
locale)
4. Change to A4 and apply.
5. Close and reopen evince
6. Choose File/Print Setup
7. Notice that the paper size is back to letter again
  
Actual results:

Paper size doesn't persist unless you manually set the LC_PAPER

Expected results:

Fedora should automatically set the paper locale, and if I change it in the
date/time settings using the administration tools, then the paper locale should
change with it.

Comment 1 David Campbell 2007-08-07 22:46:44 UTC
Hmm, it might be that linux printing locales need some design work...

Take a look at http://mail.nl.linux.org/linux-utf8/2002-05/msg00010.html

Comment 2 Matthew Barnes 2007-08-08 00:56:23 UTC
You indicated version 2.6.22.1-41.fc7, which looks like a kernel version.  Can
you please indicate what version of evince you're using?

   rpm -q evince

Also, reassigning this to evince since it doesn't seem gnome-doc-utils related.

Comment 3 David Campbell 2007-08-08 00:58:12 UTC
sorry, evince is:

evince-0.8.2-1.fc7


Comment 4 David Campbell 2007-11-19 05:05:17 UTC
Issue still present in f8


Comment 5 Bug Zapper 2008-11-26 07:39:29 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-01-09 04:50:22 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.